
authentication-backoffice - Feature #625
Checking Files
05/31/2013 02:45 PM - Cedric Hassen-Khodja

Status: Feedback Start date: 05/27/2013
Priority: Normal Due date: 07/09/2013
Assignee: Cedric Hassen-Khodja % Done: 100%
Category: Estimated time: 0.00 hour
Target version:
Description

I want to either accept or reject a whole file before doing any database. I'll have to:
*parse the file, line by line, applying the "verifying" ideas 
*store the data of each line in memory 
*and, when the whole file has been read to memory, 
  _either start using the data 
  _or, if there's been an error on one line, reject everything.

Related issues:
Related to Task # 629: fil-1 headersNumber Closed 05/29/2013 05/31/2013
Related to Task # 658: fil-2 headers values Closed 05/29/2013 05/31/2013
Related to Task # 660: fil-3 IsSurveyNameCorrect Closed 06/06/2013 06/06/2013
Related to Task # 662: fil-4 IsYearCorrect Closed 06/06/2013 06/06/2013
Related to Task # 664: fil-5 CountriesValues Closed 06/17/2013 06/18/2013
Related to Task # 665: fil-6 AgeValues Closed 06/10/2013 06/14/2013
Related to Task # 666: fil-7 SexValues Closed 06/10/2013 06/10/2013
Related to Task # 667: fil-8 QuestionValue Closed 06/10/2013 06/14/2013
Related to Task # 668: fil-9 ItemResponseNumber Closed 06/19/2013 06/19/2013
Related to Task # 670: fil-10 responseValues Closed 06/19/2013 06/19/2013
Related to Task # 671: fil-11 UnweightedCountValues Closed 06/20/2013 06/20/2013
Related to Task # 673: fil-12 weightedCountValues Closed 06/20/2013 06/20/2013
Related to Milestones # 764: Release 01 -  Back Office Closed 09/12/2013 09/16/2013

History
#1 - 06/07/2013 01:32 PM - Cedric Hassen-Khodja
- Status changed from New to Assigned

#2 - 06/07/2013 01:33 PM - Cedric Hassen-Khodja
- Assignee set to Cedric Hassen-Khodja

#3 - 06/07/2013 01:48 PM - Cedric Hassen-Khodja
- % Done changed from 0 to 30

#4 - 06/17/2013 10:51 AM - Cedric Hassen-Khodja
- % Done changed from 30 to 70

#5 - 07/04/2013 09:28 AM - Cedric Hassen-Khodja
- Status changed from Assigned to Feedback
- % Done changed from 70 to 100
